summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2010-02-27 18:38:33 +0100
committerMichael Buesch <mb@bu3sch.de>2010-02-27 18:38:33 +0100
commit0e2ed79597763222cdc9bb58f88209e0b4dfe722 (patch)
tree4f134a7c673b3f13f2835b2546913785d7b52144 /tests
parentf1a48743f631c56c8b385872f1c5fc4842554c49 (diff)
downloadtoprammer-0e2ed79597763222cdc9bb58f88209e0b4dfe722.tar.xz
toprammer-0e2ed79597763222cdc9bb58f88209e0b4dfe722.zip
More regression tests
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rw-r--r--tests/generic/002-toprammer-layout.test9
-rwxr-xr-xtests/run-tests.sh12
2 files changed, 21 insertions, 0 deletions
diff --git a/tests/generic/002-toprammer-layout.test b/tests/generic/002-toprammer-layout.test
new file mode 100644
index 0000000..251fde6
--- /dev/null
+++ b/tests/generic/002-toprammer-layout.test
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+function test_run
+{
+ # Some basic toprammer-layout tests
+ toprammer_layout_silent -h
+ toprammer_layout_silent --help
+ toprammer_layout_silent --device TOP2049 --package DIP28 --vccx 1 --vpp 2 --gnd 3
+}
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index b1210e7..6742e48 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -47,6 +47,18 @@ function toprammer
fi
}
+function toprammer_layout_silent
+{
+ local args="$@"
+ local logfile="$tmpdir/toprammer-layout.log"
+ echo " toprammer-layout $args"
+ $basedir/../toprammer-layout $args >$logfile 2>&1
+ if [ $? -ne 0 ]; then
+ [ -r "$logfile" ] && cat "$logfile"
+ die "toprammer-layout $args <<<FAILED>>>"
+ fi
+}
+
function toprammer_layout
{
local args="$@"
bues.ch cgit interface